<?php

namespace App\Http\Requests\Ticket;

use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Foundation\Http\FormRequest;

class EscalateTicketRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'reason' => 'required|string|max:2000',
            'level'  => 'nullable|in:L1,L2,L3,NOC'
        ];
    }

    public function messages(): array
    {
        return [
            'reason.required' => 'Alasan eskalasi wajib diisi'
        ];
    }
}
